import Vue from "vue";
import VueRouter from "vue-router";
import Layout from "@/layout";

Vue.use(VueRouter);

export const constantRoutes = [
  {
    path: "/redirect",
    component: Layout,
    children: [
      {
        path: "/redirect/:path(.*)",
        component: () => import("@/views/redirect/index"),
      },
    ],
  },
  {
    path: "/",
    component: () => import("../views/home/index.vue"),
  },
  {
    path: "/404",
    component: () => import("../views/errorPage/404.vue"),
  },
  {
    path: "/500",
    component: () => import("@/views/errorPage/500.vue"),
  },
];

export const routes = [
  ...constantRoutes,
  // 404页必须放在末尾！！！
  { path: "*", redirect: "/404" },
];
const router = new VueRouter({
  mode: "hash",
  routes,
});

export default router;
